ON_Texture Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_texture.h>`

Inheritance diagram for ON_Texture:

## Public Types

enum | MAPPING_CHANNEL { tc_channel = 0, default_channel = 1, srfp_channel = 0xFFFFFFFE, emap_channel = 0xFFFFFFFF }
enum | TYPE { no_texture_type = 0, bitmap_texture = 1, bump_texture = 2, transparency_texture = 3, emap_texture = 86, force_32bit_texture_type = 0xFFFFFFFF }
enum | MODE { no_texture_mode = 0, modulate_texture = 1, decal_texture = 2, blend_texture = 3, force_32bit_texture_mode = 0xFFFFFFFF }
enum | FILTER { nearest_filter = 0, linear_filter = 1, force_32bit_texture_filter = 0xFFFFFFFF }
enum | WRAP { repeat_wrap = 0, clamp_wrap = 1, force_32bit_texture_wrap = 0xFFFFFFFF }

## Public Member Functions

| ON_OBJECT_DECLARE (ON_Texture)
| ON_Texture ()
| ~ON_Texture ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
unsigned int | SizeOf () const
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
void | Default ()
int | Compare (const ON_Texture &other) const
bool | ReverseTextureCoordinate (int dir)
bool | SwapTextureCoordinate (int i, int j)
bool | TileTextureCoordinate (int dir, double count, double offset)
bool | IsTiled (int dir, double *count, double *offset) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Static Public Member Functions

static TYPE | TypeFromInt (int i)
static MODE | ModeFromInt (int i)
static FILTER | FilterFromInt (int i)
static WRAP | WrapFromInt (int i)

## Public Attributes

ON_UUID | m_texture_id
int | m_mapping_channel_id
ON_wString | m_filename
bool | m_filename_bRelativePath
bool | m_bOn
TYPE | m_type
MODE | m_mode
FILTER | m_minfilter
FILTER | m_magfilter
WRAP | m_wrapu
WRAP | m_wrapv
WRAP | m_wrapw
bool | m_bApply_uvw
ON_Xform | m_uvw
ON_Color | m_border_color
ON_Color | m_transparent_color
ON_UUID | m_transparency_texture_id
ON_Interval | m_bump_scale
double | m_blend_constant_A
double | m_blend_A [4]
ON_Color | m_blend_constant_RGB
double | m_blend_RGB [4]
int | m_blend_order
ON_UUID | m_runtime_ptr_id
const void * | m_runtime_ptr

## Detailed Description

Definition at line 31 of file opennurbs_texture.h.

## Member Enumeration Documentation

## FILTER

enum ON_Texture::FILTER

Enumerator
nearest_filter |
linear_filter |
force_32bit_texture_filter |

Definition at line 194 of file opennurbs_texture.h.

## MAPPING_CHANNEL

enum ON_Texture::MAPPING_CHANNEL

Enumerator
tc_channel |
default_channel |
srfp_channel |
emap_channel |

Definition at line 123 of file opennurbs_texture.h.

## MODE

enum ON_Texture::MODE

Enumerator
no_texture_mode |
modulate_texture |
decal_texture |
blend_texture |
force_32bit_texture_mode |

Definition at line 180 of file opennurbs_texture.h.

## TYPE

enum ON_Texture::TYPE

Enumerator
no_texture_type |
bitmap_texture |
bump_texture |
transparency_texture |
emap_texture |
force_32bit_texture_type |

Definition at line 162 of file opennurbs_texture.h.

## WRAP

enum ON_Texture::WRAP

Enumerator
repeat_wrap |
clamp_wrap |
force_32bit_texture_wrap |

Definition at line 212 of file opennurbs_texture.h.

## Constructor & Destructor Documentation

## ON_Texture()

ON_Texture::ON_Texture | ( |  | ) |

## ~ON_Texture()

ON_Texture::~ON_Texture | ( |  | ) |

## Member Function Documentation

## Compare()

int ON_Texture::Compare | ( | const ON_Texture & | other | ) | const

## Default()

void ON_Texture::Default | ( |  | ) |

## Dump()

void ON_Texture::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## FilterFromInt()

static FILTER ON_Texture::FilterFromInt | ( | int | i | ) |

static

## IsTiled()

bool ON_Texture::IsTiled | ( | int | dir,
|  | double * | count,
|  | double * | offset
| ) |  | const

## IsValid()

ON_BOOL32 ON_Texture::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## ModeFromInt()

static MODE ON_Texture::ModeFromInt | ( | int | i | ) |

static

## ON_OBJECT_DECLARE()

ON_Texture::ON_OBJECT_DECLARE | ( | ON_Texture |  | ) |

## Read()

ON_BOOL32 ON_Texture::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

## ReverseTextureCoordinate()

bool ON_Texture::ReverseTextureCoordinate | ( | int | dir | ) |

## SizeOf()

unsigned int ON_Texture::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## SwapTextureCoordinate()

bool ON_Texture::SwapTextureCoordinate | ( | int | i,
|  | int | j
| ) |  |

## TileTextureCoordinate()

bool ON_Texture::TileTextureCoordinate | ( | int | dir,
|  | double | count,
|  | double | offset
| ) |  |

## TypeFromInt()

static TYPE ON_Texture::TypeFromInt | ( | int | i | ) |

static

## WrapFromInt()

static WRAP ON_Texture::WrapFromInt | ( | int | i | ) |

static

## Write()

ON_BOOL32 ON_Texture::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_bApply_uvw

bool ON_Texture::m_bApply_uvw

Definition at line 225 of file opennurbs_texture.h.

## m_blend_A

double ON_Texture::m_blend_A[4]

Definition at line 295 of file opennurbs_texture.h.

## m_blend_constant_A

double ON_Texture::m_blend_constant_A

Definition at line 294 of file opennurbs_texture.h.

## m_blend_constant_RGB

ON_Color ON_Texture::m_blend_constant_RGB

Definition at line 296 of file opennurbs_texture.h.

## m_blend_order

int ON_Texture::m_blend_order

Definition at line 303 of file opennurbs_texture.h.

## m_blend_RGB

double ON_Texture::m_blend_RGB[4]

Definition at line 297 of file opennurbs_texture.h.

## m_bOn

bool ON_Texture::m_bOn

Definition at line 157 of file opennurbs_texture.h.

## m_border_color

ON_Color ON_Texture::m_border_color

Definition at line 231 of file opennurbs_texture.h.

## m_bump_scale

ON_Interval ON_Texture::m_bump_scale

Definition at line 279 of file opennurbs_texture.h.

## m_filename

ON_wString ON_Texture::m_filename

Definition at line 150 of file opennurbs_texture.h.

## m_filename_bRelativePath

bool ON_Texture::m_filename_bRelativePath

Definition at line 151 of file opennurbs_texture.h.

## m_magfilter

FILTER ON_Texture::m_magfilter

Definition at line 210 of file opennurbs_texture.h.

## m_mapping_channel_id

int ON_Texture::m_mapping_channel_id

Definition at line 142 of file opennurbs_texture.h.

## m_minfilter

FILTER ON_Texture::m_minfilter

Definition at line 205 of file opennurbs_texture.h.

## m_mode

MODE ON_Texture::m_mode

Definition at line 192 of file opennurbs_texture.h.

## m_runtime_ptr

const void* ON_Texture::m_runtime_ptr

Definition at line 311 of file opennurbs_texture.h.

## m_runtime_ptr_id

ON_UUID ON_Texture::m_runtime_ptr_id

Definition at line 310 of file opennurbs_texture.h.

## m_texture_id

ON_UUID ON_Texture::m_texture_id

Definition at line 120 of file opennurbs_texture.h.

## m_transparency_texture_id

ON_UUID ON_Texture::m_transparency_texture_id

Definition at line 272 of file opennurbs_texture.h.

## m_transparent_color

ON_Color ON_Texture::m_transparent_color

Definition at line 249 of file opennurbs_texture.h.

## m_type

TYPE ON_Texture::m_type

Definition at line 176 of file opennurbs_texture.h.

## m_uvw

ON_Xform ON_Texture::m_uvw

Definition at line 226 of file opennurbs_texture.h.

## m_wrapu

WRAP ON_Texture::m_wrapu

Definition at line 220 of file opennurbs_texture.h.

## m_wrapv

WRAP ON_Texture::m_wrapv

Definition at line 221 of file opennurbs_texture.h.

## m_wrapw

WRAP ON_Texture::m_wrapw

Definition at line 222 of file opennurbs_texture.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_texture.h